Module java.desktop
Package java.awt.desktop

## Interface QuitResponse

-     public interface QuitResponse

  Used to respond to a request to quit the application.
  Since:
    9
  See Also:
    `Desktop.setQuitHandler(java.awt.desktop.QuitHandler)`, `QuitHandler`, `Desktop.setQuitStrategy(java.awt.desktop.QuitStrategy)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancelQuit​()` | Notifies the external quit requester that the user has explicitly canceled the pending quit, and leaves the application running.
    `void` | `performQuit​()` | Notifies the external quit requester that the quit will proceed, and performs the default `QuitStrategy`.

- - ### Method Detail

    - #### performQuit

          void performQuit​()

      Notifies the external quit requester that the quit will proceed, and performs the default `QuitStrategy`.

    - #### cancelQuit

          void cancelQuit​()

      Notifies the external quit requester that the user has explicitly canceled the pending quit, and leaves the application running. Note: this will cancel a pending log-out, restart, or shutdown.